![]() | AngleDimension Class |
The AngleDimension class defines an angle dimension between two lines. The dimension can be shown
by a triangle or in degrees. You can also enter the triangle base length.

SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingDimensionBase
Tekla.Structures.DrawingAngleDimension
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingDimensionBase
Tekla.Structures.DrawingAngleDimension
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.1

The AngleDimension type exposes the following members.

Name | Description | |
---|---|---|
![]() | AngleDimension(ViewBase, Point, Point, Point, Double) |
Creates a new angle dimension instance using three points.
|
![]() | AngleDimension(ViewBase, Point, Vector, Vector, Double) |
Creates a new angle dimension instance using the origin and two vectors relative to the origin.
|
![]() | AngleDimension(ViewBase, Point, Point, Point, Double, AngleDimensionAttributes) |
Creates a new angle dimension instance using three points.
|
![]() | AngleDimension(ViewBase, Point, Vector, Vector, Double, AngleDimensionAttributes) |
Creates a new angle dimension instance using the origin and two vectors relative to the origin.
|

Name | Description | |
---|---|---|
![]() | Attributes |
Gets or sets the angle dimension attributes.
|
![]() | Distance |
Gets or sets the distance (from the origin to the second point's direction).
The distance is measured in paper millimeters.
|
![]() | Hideable |
Accesses the information if this object is hidden or not or if it should be.
(Inherited from DimensionBase.) |
![]() | Origin |
Gets or sets the origin of the dimension.
|
![]() | Point1 |
Gets or sets the first point.
|
![]() | Point2 |
Gets or sets the second point.
|
![]() | QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) |

Name | Description | |
---|---|---|
![]() | Delete |
Deletes the dimension from the database.
(Overrides DatabaseObjectDelete.) |
![]() | GetAngle |
Gets the angle value (in degrees).
|
![]() | GetDimensionSet |
The angle dimension doesn't have a dimension set.
(Overrides DimensionBaseGetDimensionSet.) |
![]() | GetDimensionSet(Boolean) |
The angle dimension doesn't have a dimension set.
(Overrides DimensionBaseGetDimensionSet(Boolean).) |
![]() | GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) |
![]() | GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) |
![]() | GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) |
![]() | GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) |
![]() | Insert |
Inserts the dimension into the database.
(Overrides DatabaseObjectInsert.) |
![]() | IsEqual |
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).) |
![]() | IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) |
![]() | Modify |
Modifies the existing dimension in the database.
(Overrides DatabaseObjectModify.) |
![]() | Select |
Selects the angle dimension from the database.
(Overrides DatabaseObjectSelect.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |

The following code inserts an angle dimension:
using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { DrawingHandler MyDrawingHandler = new DrawingHandler(); ViewBase _view = MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews().Current as ViewBase; Point origin = new Point(2000, 2000); Point point1 = new Point(3000, 5000); Point point2 = new Point(6000, 2000); AngleDimension myAngle = new AngleDimension(_view, origin, point1, point2, 200); myAngle.Insert(); } }
